package com.mobvista.apptag.service;

import com.mobvista.apptag.entity.TreeTag;
import com.mobvista.apptag.utils.Query;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.List;

/**
 * @author wangjf
 */
public interface TreeTagService {

    List<TreeTag> list(Query query);

    int count(Query query);

    boolean writeToMysql(File file) throws IOException;
}